#!/usr/bin/perl
use IPC::Open3;

system("touch lfuse.raw; rm lfuse.raw");
$cmd = "avrdude -E noreset -y -p t85 -c bsd -U lfuse:r:lfuse.raw:r";
my $pid = open3(OUT, IN, OUT2, $cmd);
waitpid($pid, 0);

open(IN, "./lfuse.raw") || die "***** ERROR!!: Can not read lfuse.raw *****\n";
unless (defined(read(IN, $v, 1))) { die "***** ERROR!!: Can not read from Filehandle *****\n"; } 
close(IN);
$v = unpack("C",$v); #signed byte
if ($v != 0xf1) { 
		print "***** ERROR!!: Value of lfuse is not 0xF1 *****\n"; 
		print "avrdude -E noreset -y -p t85 -c bsd -U lfuse:w:0xf1:m\n";
}




